Subject: bug#58318: 28.2; Emacs installed from package won't work with MinGW

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Oct 2022 14:43:16 +0200

Andrea Corallo <[email-masked]> writes:

> A quick ad-hoc fix for `yes-or-no-p' is attached.  It does not have a
> perf impact as `yes-or-no-p' will have to wait for the user input
> anyway, if okay I can push it.

There's nothing special about yes-or-no-p -- I only used that as an
example.  The same problem exists for (almost) all built-in functions.

> Oherwise another strategy would be to disable direct calls from lisp
> native code into primitives on Windows, this indeed has a performance
> impact.

Yes, that would not be ideal.